<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR=3D"#FFFFFF">

<H1 ALIGN=3DCENTER>JFLA 2000: relecture du papier 10</H1>

<P>Num\'ero du papier: 10
<P>Titre du papier: Op\'erateurs de raffinement sur les structures alg\'e=
briques
<P>Auteurs: Sylvain Boulm\'e  =20


<P>Nom du rapporteur: Catherine Parent-Vigouroux

<P>Confiance en la note: 2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 5
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>

<P>Cet article pr\'esente un syst\`eme de sp\'ecification de librairies=
 de
calcul formel, par description par raffinement. Ce syst\`eme baptis\'e
FocKer est d\'ecrit de fa=E7on informelle puis un d\'ebut de formalisat=
ion
en Coq est d\'etaill\'e (pour un sous-ensemble du syst\`eme). Cet artic=
le
est tr\`es int\'eressant et assez complet m\^eme si parfois un peu ardu=
 =E0
lire.

<P>Ci-suivent quelques remarques (questions, commentaires ou pr\'ecisio=
ns
d'orthographe). Au passage, il y a quand m\^eme un nombre cons\'equent =
de
fautes d'orthographe...

<P>p1, paragraphe 1 intro : certifiable --> certifiables
                         <P>Nous nous avons profit\'e --> Nous avons pr=
ofit\'e
<P>p2, paragraphe 1 : au lieu "structures --> au lieu de "structures
<P>p2, collections de base : il me semble qu'il y a un m\'elange entre =
les
                          A et les B qui sont intervertis =E0 certains
                          endroits. =20
<P>p3, dernier paragraphe de l'exemple : on d\'efini le pgcd --> on d\'e=
finit=20
                                      le pgcd
<P>p4, exemple d'esp\`ece : =E0 propos de la d\'efinition des d\'ependa=
nces
                       opaques et transparentes. Mentionner peut-\^etre=

                       ici que c'est exactement la m\^eme notion en Coq=
.
<P>p4, exemple de collection : collection du s\'etoides --> collection =
du
                            s\'etoide
                           <P> Rappeler aussi ici que les constatations=

                            du dernier paragraphe sont dues aux
                            d\'ependances opaques/transparentes
                            mentionn\'ees lors de la d\'efinition du
                            setoid.
<P>p5, paragraphe 1 : ces sp\'ecification ex\'ecutables --> ces
                   sp\'ecifications ex\'ecutables=20
<P>p5, paragraphe 2 : se traduisants --> se traduisant
                   <P>de sortes Prop --> de sorte Prop
<P>p5, exemple : par leur types support --> par leur type support
<P>p6, exemple : au syst\`eme de module --> au syst\`eme de modules
<P>p6, pr\'esentation par. 1 : on a laisse --> on a laiss\'e
<P>p6, pr\'esentation par. 3 : par exemple [7] --> par exemple [7])
<P>p7, paragraphe 1 : S1 et S2 soit dans S --> S1 et S2 soient dans S
<P>p7, derni\`ere ligne : acc\`es au champs --> acc\`es aux champs
<P>p8, paragraphe 1 : pr\'edicat "ensembliste" --> pr\'edicats "ensembl=
istes"
                   <P>On suppose aussi d\'efini --> On suppose aussi
                   d\'efinie
<P>p8, paragraphe 4 : retourne le champs --> retourne le champ
<P>p8, paragraphe 5 : un nom de champs --> un nom de champ
<P>p9, paragraphe 4 : types de bases --> types de base
                   <P>t\'el\'escopes vide --> t\'el\'escope vide
<P>p9, paragraphe 5 : On d\'efini --> On d\'efinit
<P>p9, dernier paragraphe : Acc\`es au champs --> Acc\`es aux champs
                         <P>champs --> champ (deux fois)
                         <P>On d\'efini --> On d\'efinit
                         <P>le t\'el\'escopes --> le t\'el\'escope
                         <P>sont utilis\'es --> sont utilis\'ees
<P>p10, paragraphe 1 : donc amener --> donc amen\'e
<P>p10, paragraphe 2 : on les a plac\'es --> on les a plac\'ees
<P>p11, paragraphe 1 : sont d\'efinis par --> sont d\'efinies par
                    <P>dans la d\'efinition de sign_l_df qu'est-ce que =
df ?
                    <P>pour lesquelles --> pour lesquels
                    <P>acc\`es au champs --> acc\`es aux champs
                    <P>dans la d\'efinition de field utiliser H : a \in=
 |s|=20
                    comme vu avant (c'est plus clair que le inD...)
<P>p11, paragraphe 2 : notions pr\'esent\'ee --> notions pr\'esent\'ees
<P>p11, footnote : la footnote 2 appara=EEt =E0 la page suivante ce qui
 n'est
                pas tr\`es pratique
<P>p12, paragraphe 1 : acc\`es au champs --> acc\`es aux champs
<P>p12, paragraphe 3 : L'extension simple de signature a pour type, ...
                     --> le "a pour type" semble \^etre 
                    supprimer.
                    <P>ont \'et\'e introduit --> ont \'et\'e introduits
<P>p13, paragraphe 1 : qui r\'eussi --> qui r\'eussit
<P>p13, paragraphe 2 : D\'efinir Build_FunIn en fonction de Build.
<P>p13, paragraphe 3 : ce ne seraient --> ce ne serait
                    <P>donner des explications sur la d\'efinition de Label
                    (c'est plus complet que l'exemple p.4)
<P>p14 : le setoides --> le setoide
      <P>On peut aussi profiter alors profiter --> On peut alors profiter
<P>p15 : des parties en italique : pourquoi ?
      <P>d\'epassement de la m\'emoire avec Coq : pourquoi ?
      <P>definie --> d\'efinie
      <P>declar\'ee --> d\'eclar\'ee
<P>p17, paragraphe 1 : en les r\'eutilisant --> en r\'eutilisant
                    <P>des raffinement --> des raffinements
                    <P>Ocaml, ci-dessus, elle --> Ocaml, ci-dessus. Elle
<P>p17, dernier paragraphe : pr\'eciser l'inutilisabilit\'e pratique de
 Coq :=
                          dans quel sens ? Du fait de l'explosion
                          m\'emoire ?

<P>Commentaires r\'eserv\'es au comit\'e de programme:<P>

Cet article pr\'esente un syst\`eme de sp\'ecification de librairies de=

calcul formel, par description par raffinement. Ce syst\`eme baptis\'e
FocKer est d\'ecrit de fa=E7on informelle puis un d\'ebut de formalisation
en Coq est d\'etaill\'e (pour un sous-ensemble du syst\`eme). Le papier  est
complet et d\'etaill\'e, un peu ardu =E0 mon avis pour qui n'est pas
familier =E0 Coq, OCAML et tout le vocabulaire tournant autour des
structures alg\'ebriques. Je trouve que c'est un tr\`es bon papier qui
donne une vision assez compl\`ete de ce probl\`eme avec des solutions p=
our
une sous-partie et une bonne vision de ce qui reste =E0 faire.

</BODY>
</HTML>
